clang-tools 10.0.0

Classes | Public Member Functions | List of all members
clang::clangd::OptionalMatcher< InnerMatcher > Class Template Reference

`#include <Matchers.h>`

## Public Member Functions
| OptionalMatcher (const InnerMatcher &matcher)
template<typename Optional >
| operator Matcher< Optional > () const

## Detailed Description

### template<typename InnerMatcher>
class clang::clangd::OptionalMatcher< InnerMatcher >

Definition at line 132 of file clangd/unittests/Matchers.h.

## Constructor & Destructor Documentation

## ◆ OptionalMatcher()

template<typename InnerMatcher >

clang::clangd::OptionalMatcher< InnerMatcher >::OptionalMatcher | ( | const InnerMatcher & | matcher | ) |
| inline explicit

Definition at line 134 of file clangd/unittests/Matchers.h.

## Member Function Documentation

## ◆ operator Matcher< Optional >()

template<typename InnerMatcher >
template<typename Optional >

clang::clangd::OptionalMatcher< InnerMatcher >::operator Matcher< Optional > | ( |  | ) | const
| inline

Definition at line 143 of file clangd/unittests/Matchers.h.

References clang::clangd::SubsequenceMatcher< T >::DescribeTo(), clang::clangd::SubsequenceMatcher< T >::MatchAndExplain(), and clang::clangd::Value.

The documentation for this class was generated from the following file:

- clangd/unittests/Matchers.h